VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::HardwareTypes::UpgradePolicy Class Reference

The `Hardware.UpgradePolicy` enumerated type defines the valid virtual hardware upgrade policies for a virtual machine. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, NEVER, AFTER_CLEAN_SHUTDOWN, ALWAYS }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static UpgradePolicy[] | GetValues ()
static UpgradePolicy | ValueOf (string name)
## Static Public Attributes
static readonly UpgradePolicy | NEVER = new UpgradePolicy("NEVER", Values.NEVER)
| Do not upgrade the virtual machine when it is powered on.
static readonly UpgradePolicy | AFTER_CLEAN_SHUTDOWN = new UpgradePolicy("AFTER_CLEAN_SHUTDOWN", Values.AFTER_CLEAN_SHUTDOWN)
| Run scheduled upgrade when the virtual machine is powered on after a clean shutdown of the guest operating system.
static readonly UpgradePolicy | ALWAYS = new UpgradePolicy("ALWAYS", Values.ALWAYS)
| Run scheduled upgrade when the virtual machine is powered on.

## Detailed Description

The `Hardware.UpgradePolicy` enumerated type defines the valid virtual hardware upgrade policies for a virtual machine.

## Member Enumeration Documentation

enum vmware::vcenter::vm::HardwareTypes::UpgradePolicy::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  NEVER | Do not upgrade the virtual machine when it is powered on.
  AFTER_CLEAN_SHUTDOWN | Run scheduled upgrade when the virtual machine is powered on after a clean shutdown of the guest operating system.
  ALWAYS | Run scheduled upgrade when the virtual machine is powered on.

## Member Function Documentation

Values vmware::vcenter::vm::HardwareTypes::UpgradePolicy::GetEnumValue | ( |  | ) | `[inline]`

static UpgradePolicy [] vmware::vcenter::vm::HardwareTypes::UpgradePolicy::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::HardwareTypes::UpgradePolicy::IsUnknown | ( |  | ) | `[inline]`

static UpgradePolicy vmware::vcenter::vm::HardwareTypes::UpgradePolicy::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly UpgradePolicy vmware::vcenter::vm::HardwareTypes::UpgradePolicy::AFTER_CLEAN_SHUTDOWN = new UpgradePolicy("AFTER_CLEAN_SHUTDOWN", Values.AFTER_CLEAN_SHUTDOWN)`[static]`

Run scheduled upgrade when the virtual machine is powered on after a clean shutdown of the guest operating system.

readonly UpgradePolicy vmware::vcenter::vm::HardwareTypes::UpgradePolicy::ALWAYS = new UpgradePolicy("ALWAYS", Values.ALWAYS)`[static]`

Run scheduled upgrade when the virtual machine is powered on.

readonly UpgradePolicy vmware::vcenter::vm::HardwareTypes::UpgradePolicy::NEVER = new UpgradePolicy("NEVER", Values.NEVER)`[static]`

Do not upgrade the virtual machine when it is powered on.

The documentation for this class was generated from the following file:

- HardwareTypes.cs